interface CosmosBalance {
    amount: string;
    denom: string;
}
export declare class CosmosRestClient {
    private restUrl;
    constructor(restUrl: string);
    /**
     * Fetches the balance of a single Cosmos token for the given address
     */
    getBalance(address: string, denom: string): Promise<CosmosBalance | null>;
    /**
     * Fetches all balances for the given address
     */
    getAllBalances(address: string): Promise<CosmosBalance[]>;
    fetch<T>(path: string): Promise<T>;
}
export {};
